/**************************************************************************************/
/*     8448,  Nokia 5110 (3310), : Philips PCD8544       */
/*    pic18f1320    HI-TECH Software,    */
/* PICC18  9.66.      */
/* Microchip,     .                           */ 
/* :                                                                 */
/* email: b_bikman@ukr.net                                                            */     
/**************************************************************************************/
#ifndef _LCD_h
#define _LCD_h
#endif


/*                                 */
unsigned char Tmp_y;
unsigned char Tmp_x;
unsigned char inv_flag;
unsigned char inv=13;
unsigned char no_inv=12;
unsigned int Dt;


#define _XTAL_FREQ 8000000 //    ()

/*                                     */
void LCD_init(void);                  			//  
void LCD_send (unsigned char Data);  			 /*   (      , -     "DC"  "CE" */
void LCD_data (unsigned char Data);  			//   
void LCD_comand (unsigned char Data); 			//  
void LCD_clear(void);                 			//  
void cursor (unsigned char x, unsigned char y); 	//  
void printf (const char * Dtm, ...);			//      (  ASCII)
void printf_big (const char * Dtm, ...);
void cursor_txt (unsigned char x, unsigned char y);	//    
void Print_img (const char img[]);				//     
/*    ,     -    */


void Print_txt (unsigned int Dt);			//   
void Print_txt_big (unsigned int Dt);

/*          */
#define CLC   LATA1					
#define DIN   LATA0
#define DC    LATB3
#define CE    LATA3
#define RST   LATA2

#define CLC_tris   TRISA1
#define DIN_tris   TRISA0
#define DC_tris    TRISB3
#define CE_tris    TRISA3
#define RST_tris   TRISA2



#define LED_on          LATB5=1
#define LED_off         LATB5=0


void print_10_big(unsigned long tmp, unsigned char F);